kompendium
2.0.2
2.0.2 2.0.1

# TypedSchema

interface TypedSchema : ComponentSchema
Content copied to clipboard

## Functions

addDefault
Link copied to clipboard
open fun addDefault (default: Any ?): ComponentSchema
Content copied to clipboard
setDescription
Link copied to clipboard
open fun setDescription (description: String ): ComponentSchema
Content copied to clipboard

## Properties

default
Link copied to clipboard
abstract override val default : Any ?
Content copied to clipboard
description
Link copied to clipboard
open val description : String ?
Content copied to clipboard
nullable
Link copied to clipboard
abstract val nullable : Boolean ?
Content copied to clipboard
type
Link copied to clipboard
abstract val type : String
Content copied to clipboard

## Inheritors

ArraySchema
Link copied to clipboard
DictionarySchema
Link copied to clipboard
EnumSchema
Link copied to clipboard
FormattedSchema
Link copied to clipboard
FreeFormSchema
Link copied to clipboard
ObjectSchema
Link copied to clipboard
SimpleSchema
Link copied to clipboard